aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.ssh/config54
-rw-r--r--.xprofile3
-rwxr-xr-xbin/pulse2jack32
3 files changed, 85 insertions, 4 deletions
diff --git a/.ssh/config b/.ssh/config
index 76216ee..3eb25cc 100644
--- a/.ssh/config
+++ b/.ssh/config
@@ -161,6 +161,45 @@ Host trevor
ControlMaster auto
ControlPath ~/.ssh/socket-%r@%h:%p
+Host atrevor
+ Hostname trevor.ak.tu-berlin.de
+ Port 22
+ user admin
+ ForwardAgent yes
+ IdentityFile ~/.ssh/id_rsa
+ IdentitiesOnly yes
+ ServerAliveInterval 120
+ Compression yes
+ ForwardX11Trusted yes
+ ControlMaster auto
+ ControlPath ~/.ssh/socket-%r@%h:%p
+
+Host matrix324
+ Hostname matrix324.ak.tu-berlin.de
+ Port 22
+ user matrix
+ ForwardAgent yes
+ IdentityFile ~/.ssh/id_rsa
+ IdentitiesOnly yes
+ ServerAliveInterval 120
+ Compression yes
+ ForwardX11Trusted yes
+ ControlMaster auto
+ ControlPath ~/.ssh/socket-%r@%h:%p
+
+Host amatrix324
+ Hostname matrix324.ak.tu-berlin.de
+ Port 22
+ user admin
+ ForwardAgent yes
+ IdentityFile ~/.ssh/id_rsa
+ IdentitiesOnly yes
+ ServerAliveInterval 120
+ Compression yes
+ ForwardX11Trusted yes
+ ControlMaster auto
+ ControlPath ~/.ssh/socket-%r@%h:%p
+
# EN325
Host taunus
Hostname taunus.ak.tu-berlin.de
@@ -175,6 +214,19 @@ Host taunus
ControlMaster auto
ControlPath ~/.ssh/socket-%r@%h:%p
+Host ataunus
+ Hostname taunus.ak.tu-berlin.de
+ Port 22
+ user admin
+ ForwardAgent yes
+ IdentityFile ~/.ssh/id_rsa
+ IdentitiesOnly yes
+ ServerAliveInterval 120
+ Compression yes
+ ForwardX11Trusted yes
+ ControlMaster auto
+ ControlPath ~/.ssh/socket-%r@%h:%p
+
# EN326
Host wfs
Hostname 130.149.23.38
@@ -326,7 +378,7 @@ Host gitlab.tubit.tu-berlin.de
ControlPath ~/.ssh/socket-%r@%h:%p
# github
-Host github.com
+Host github
Hostname github.com
Port 22
User git
diff --git a/.xprofile b/.xprofile
index db17a05..c5c1c70 100644
--- a/.xprofile
+++ b/.xprofile
@@ -1,8 +1,5 @@
#!/usr/bin/env bash
-#X11 keyboard maps
-setxkbmap -layout de &
-
# use .Xmodmap
if [[ -f ~/.Xmodmap ]]; then
/usr/bin/xmodmap ~/.Xmodmap &
diff --git a/bin/pulse2jack b/bin/pulse2jack
new file mode 100755
index 0000000..73ede01
--- /dev/null
+++ b/bin/pulse2jack
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+IFS=$'\n\t'
+
+
+function jack_module_on()
+{
+ echo "Enabling JACK sink and source."
+ /usr/bin/pacmd load-module module-jack-sink channels=2
+ /usr/bin/pacmd load-module module-jack-source channels=2
+ /usr/bin/pacmd set-default-sink jack_out
+ /usr/bin/pacmd set-default-source jack_in
+}
+
+function jack_module_off()
+{
+ echo "Disabling JACK sink and source."
+ /usr/bin/pacmd unload-module module-jack-sink
+ /usr/bin/pacmd unload-module module-jack-source
+}
+
+case "$1" in
+ "on")
+ jack_module_on
+ ;;
+ "off")
+ jack_module_off
+ ;;
+esac
+
+exit 0